Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.kernel.jpql
Class JPQLParser

    java.lang.Object
      org.apache.openjpa.kernel.jpql.JPQLParser

All Implemented Interfaces:
  Serializable, ExpressionParser

    public class JPQLParser

extends Object
implements ExpressionParser

Parser for JPQL queries.

Author:
  Marc Prud'hommeaux
See Also:
  Serialized Form

Field Summary
`static String` | `LANG_JPQL`

Constructor Summary
`JPQLParser()`

Method Summary
`QueryExpressions` | `eval(Object parsed, ExpressionStoreQuery query, ExpressionFactory factory, ClassMetaData candidate)` Parse the given query string.
`Value[]` | `eval(String[] vals, ExpressionStoreQuery query, ExpressionFactory factory, ClassMetaData candidate)` Parse the given value clauses.
`String` | `getLanguage()` Return a string key describing the language that this instance parses.
`Object` | `parse(String ql, ExpressionStoreQuery query)` Return a parsed intermediate form of the given query string.
`void` | `populate(Object parsed, ExpressionStoreQuery query)` Use the parsed query form to set information such as candidate type, result type, etc that was encoded in the query string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LANG_JPQL

    public static final String LANG_JPQL

See Also:
  Constant Field Values

Constructor Detail

### JPQLParser

    public JPQLParser()

Method Detail

### parse

    public Object parse(String ql,
                        ExpressionStoreQuery query)

  Description copied from interface: `ExpressionParser`
  Return a parsed intermediate form of the given query string.

  Specified by:
    `parse` in interface `ExpressionParser`

### populate

    public void populate(Object parsed,
                         ExpressionStoreQuery query)

  Description copied from interface: `ExpressionParser`
  Use the parsed query form to set information such as candidate type, result type, etc that was encoded in the query string.

  Specified by:
    `populate` in interface `ExpressionParser`

### eval

    public QueryExpressions eval(Object parsed,
                                 ExpressionStoreQuery query,
                                 ExpressionFactory factory,
                                 ClassMetaData candidate)

  Description copied from interface: `ExpressionParser`
  Parse the given query string.

  Specified by:
    `eval` in interface `ExpressionParser`

### eval

    public Value[] eval(String[] vals,
                        ExpressionStoreQuery query,
                        ExpressionFactory factory,
                        ClassMetaData candidate)

  Description copied from interface: `ExpressionParser`
  Parse the given value clauses.

  Specified by:
    `eval` in interface `ExpressionParser`

### getLanguage

    public String getLanguage()

  Description copied from interface: `ExpressionParser`
  Return a string key describing the language that this instance parses.

  Specified by:
    `getLanguage` in interface `ExpressionParser`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.